TERMKEY_SET_BUFFER_SIZE(3)

NAME
termkey_set_buffer_size, termkey_get_buffer_size - control the buffer size

SYNOPSIS
#include <termkey.h>

int termkey_set_buffer_size(TermKey *tk, size_t size);
size_t termkey_get_buffer_size(TermKey *tk);

Link with -ltermkey.

DESCRIPTION
termkey_set_buffer_size() changes the size of the buffer space in the termkey(7) instance to that given by size. Any bytes pending in the buffer will be preserved when resizing, though they will be truncated if the new size is smaller than the total number of bytes in the buffer.

termkey_get_buffer_size() returns the size of the buffer set by the last call to termkey_set_buffer_size(), or the default initial size of 256 bytes.

RETURN VALUE
termkey_set_buffer_size() returns a true value, or zero if an error occurs. termkey_get_buffer_size() returns the current buffer size in bytes.

SEE ALSO
termkey_new(3), termkey_get_buffer_remaining(3), termkey(7)